<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
    <appender name="console" class="org.apache.log4j.ConsoleAppender">
        <param name="Target" value="System.out"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%-5p  - %m%n"/>
        </layout>
    </appender>
    <appender name="rollingFILE" class="org.apache.log4j.RollingFileAppender">
        <param name="file" value="logs/log.log"/>
        <param name="MaxFileSize" value="2048KB"/>
        <!-- Keep one backup file -->
        <param name="MaxBackupIndex" value="10"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%-5p  - %m%n"/>
        </layout>
    </appender>

    <root>
        <priority value="debug"/>
        <appender-ref ref="console"/>
        <appender-ref ref="rollingFILE"/>
    </root>

</log4j:configuration>